Trendsic Platform Service

<back to all web services

ProjectSearchRequest

Requires Authentication
The following routes are available for this service:
POST,OPTIONS/v1/ProjectSearch
ProjectSearchRequest Parameters:
NameParameterData TypeRequiredDescription
filterStatusbodyintNo
filterManagerbodyintNo
filterClientNamebodystringNo
filterStartBeforebodyDateTimeNo
filterStartAfterbodyDateTimeNo
filterEndBeforebodyDateTimeNo
filterEndAfterbodyDateTimeNo
ProjectResponse Parameters:
NameParameterData TypeRequiredDescription
ResponseStatusformResponseStatusNo
ProjectformList<Project>No
Project Parameters:
NameParameterData TypeRequiredDescription
ProjectIDformintNo
ProjectUIDformGuidNo
ProjectNameformstringNo
ImageURLformstringNo
ImageKeyformstringNo
ClientNameformstringNo
ClientPhoneformstringNo
ClientEmailformstringNo
NotifyCustomerOnVisitCompletionformboolNo
ClientContactIDformint?No
ProjectManagerIDformintNo
ProjectManagerNameformstringNo
StartDateformDateTime?No
EndDateformDateTime?No
ActualStartDateformDateTime?No
ActualEndDateformDateTime?No
JobCountformintNo
CrewMemberCountformintNo
CrewAvatarsJsonformstringNo
CrewNamesSearchformstringNo
EquipmentCountformintNo
MaterialCountformintNo
ProjectStatusIDformshortNo
ProjectStatusDescriptionformstringNo
BudgetformdecimalNo
CostToDateformdecimalNo
ProjectLocationformstringNo
ProjectTypeformstringNo
ProjectSponsorformstringNo
CreatedByformstringNo
CreatedAtformDateTime?No
UpdatedAtformDateTime?No
ProjectDescriptionformstringNo
ScopeformstringNo
StatusIdformintNo
BranchIdformGuidNo
BranchNameformstringNo
LocationformLocationNo
Location Parameters:
NameParameterData TypeRequiredDescription
IdformGuidNo
ClientIdformGuidNo
NameformstringNo
Address1formstringNo
Address2formstringNo
CityformstringNo
StateformstringNo
ZipformstringNo
PhoneformstringNo
FaxformstringNo
URLformstringNo
EmailformstringNo
TimeZoneformstringNo
ActiveformboolNo
EntDateformDateTimeNo
ModDateformDateTimeNo
LocationImageformstringNo

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

POST /v1/ProjectSearch HTTP/1.1 
Host: api.dev.dynamics.trendsic.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"filterStatus":0,"filterManager":0,"filterClientName":"String","filterStartBefore":"0001-01-01T00:00:00.0000000","filterStartAfter":"0001-01-01T00:00:00.0000000","filterEndBefore":"0001-01-01T00:00:00.0000000","filterEndAfter":"0001-01-01T00:00:00.0000000"}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{"ResponseStatus":{"ErrorCode":"String","Message":"String","StackTrace":"String","Errors":[{"ErrorCode":"String","FieldName":"String","Message":"String","Meta":{"String":"String"}}],"Meta":{"String":"String"}},"Project":[{"ProjectID":0,"ProjectUID":"00000000000000000000000000000000","ProjectName":"String","ImageURL":"String","ImageKey":"String","ClientName":"String","ClientPhone":"String","ClientEmail":"String","NotifyCustomerOnVisitCompletion":false,"ClientContactID":0,"ProjectManagerID":0,"ProjectManagerName":"String","StartDate":"0001-01-01T00:00:00.0000000","EndDate":"0001-01-01T00:00:00.0000000","ActualStartDate":"0001-01-01T00:00:00.0000000","ActualEndDate":"0001-01-01T00:00:00.0000000","JobCount":0,"CrewMemberCount":0,"CrewAvatarsJson":"String","CrewNamesSearch":"String","EquipmentCount":0,"MaterialCount":0,"ProjectStatusID":0,"ProjectStatusDescription":"String","Budget":0,"CostToDate":0,"ProjectLocation":"String","ProjectType":"String","ProjectSponsor":"String","CreatedBy":"String","CreatedAt":"0001-01-01T00:00:00.0000000","UpdatedAt":"0001-01-01T00:00:00.0000000","ProjectDescription":"String","Scope":"String","StatusId":0,"BranchId":"00000000000000000000000000000000","BranchName":"String","Location":{"Id":"00000000000000000000000000000000","ClientId":"00000000000000000000000000000000","Name":"String","Address1":"String","Address2":"String","City":"String","State":"String","Zip":"String","Phone":"String","Fax":"String","URL":"String","Email":"String","TimeZone":"String","Active":false,"EntDate":"0001-01-01T00:00:00.0000000","ModDate":"0001-01-01T00:00:00.0000000","LocationImage":"String"}}]}